import 'package:path/path.dart' as path;

extension FSPath on String {
  basename() {
    return path.basename(this);
  }

  joinAll(List<String> parts) {
    return path.joinAll([this, ...parts]);
  }

  dirname() {
    return path.dirname(this);
  }

  extension() {
    return path.extension(this);
  }
}
